## ignition-math6 6.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-math6 VERSION 6.9.2)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
set (c++standard 17)
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

option(USE_SYSTEM_PATHS_FOR_RUBY_INSTALLATION
      "Install ruby modules in standard system paths in the system"
      OFF)

option(USE_SYSTEM_PATHS_FOR_PYTHON_INSTALLATION
      "Install python modules in standard system paths in the system"
      OFF)

option(USE_DIST_PACKAGES_FOR_PYTHON
      "Use dist-packages instead of site-package to install python modules"
      OFF)

#============================================================================
# Search for project-specific dependencies
#============================================================================

#--------------------------------------
# Find eigen3
ign_find_package(
  EIGEN3
  REQUIRED_BY eigen3
  PRETTY eigen3
  PURPOSE "Provide conversions to eigen3 types")

########################################
# Include swig
find_package(SWIG QUIET)
if (NOT SWIG_FOUND)
  IGN_BUILD_WARNING("Swig is missing: Language interfaces are disabled.")
  message (STATUS "Searching for swig - not found.")
else()
  message (STATUS "Searching for swig - found version ${SWIG_VERSION}.")
endif()

# Include other languages if swig was found
if (SWIG_FOUND)
  ########################################
  # Include ruby
  find_package(Ruby 1.9 QUIET)
  if (NOT RUBY_FOUND)
    IGN_BUILD_WARNING("Ruby is missing: Install ruby-dev to enable ruby interface to ignition math.")
    message (STATUS "Searching for Ruby - not found.")
  else()
    message (STATUS "Searching for Ruby - found version ${RUBY_VERSION}.")
  endif()

  ########################################
  # Include python
  find_package(PythonInterp 3 REQUIRED) # change to Python3 when Bionic is EOL
  find_package(PythonLibs QUIET)
  if (NOT PYTHONLIBS_FOUND)
    message (STATUS "Searching for Python - not found.")
  else()
    message (STATUS "Searching for Python - found version ${PYTHONLIBS_VERSION_STRING}.")
  endif()
endif()

# Location of "fake install folder" used in tests
# Defined here at root scope so it is available for tests in src and test folders
set(FAKE_INSTALL_PREFIX "${CMAKE_BINARY_DIR}/fake/install")

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS eigen3)


#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md")

=== src/CMakeLists.txt ===

# Collect source files into the "sources" variable and unit test files into the
# "gtest_sources" variable
ign_get_libsources_and_unittests(sources gtest_sources)

# Create the library target
ign_create_core_library(SOURCES ${sources} CXX_STANDARD ${c++standard})

# Build the unit tests
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources})

# graph namespace
add_subdirectory(graph)

# Bindings subdirectories
add_subdirectory(python)
add_subdirectory(ruby)

=== src/python/CMakeLists.txt ===
#################################################
# Setup swig
if (SWIG_FOUND)
  if (POLICY CMP0078)
    cmake_policy(SET CMP0078 NEW)
  endif()
  if (POLICY CMP0086)
    cmake_policy(SET CMP0086 NEW)
  endif()

  include(${SWIG_USE_FILE})
  set(CMAKE_SWIG_FLAGS "")

  include_directories(${PROJECT_SOURCE_DIR}/include)
  include_directories(${PYTHON_INCLUDE_PATH})
endif()

#################################
# Create and install Python interfaces
# Example usage
# $ export PYTHONPATH=/ws/install/lib/python/:$PYTHONPATH
if (PYTHONLIBS_FOUND)
  set_source_files_properties(python.i PROPERTIES CPLUSPLUS ON)
  set_source_files_properties(python.i PROPERTIES SWIG_FLAGS "-includeall")
  set_source_files_properties(python.i PROPERTIES SWIG_MODULE_NAME "math")
  set(SWIG_PY_LIB pymath)
  set(SWIG_PY_LIB_OUTPUT math)

  set(CMAKE_SWIG_OUTDIR "${CMAKE_BINARY_DIR}/lib/python")
  if(CMAKE_VERSION VERSION_GREATER 3.8.0)
    SWIG_ADD_LIBRARY(${SWIG_PY_LIB} LANGUAGE python SOURCES python.i)
  else()
    SWIG_ADD_MODULE(${SWIG_PY_LIB} python python.i)
  endif()

  SWIG_LINK_LIBRARIES(${SWIG_PY_LIB}
    ${PYTHON_LIBRARIES}
    ignition-math${PROJECT_VERSION_MAJOR}
  )

  if(NOT CMAKE_VERSION VERSION_GREATER_EQUAL 3.13.0)
    set(SWIG_PY_LIB "_${SWIG_PY_LIB}")
    set(SWIG_PY_LIB_OUTPUT "_${SWIG_PY_LIB_OUTPUT}")
  endif()

  set_target_properties(${SWIG_PY_LIB}
    PROPERTIES
      OUTPUT_NAME ${SWIG_PY_LIB_OUTPUT}
  )

  # Suppress warnings on SWIG-generated files
  target_compile_options(${SWIG_PY_LIB} PRIVATE
    $<$<CXX_COMPILER_ID:GNU>:-Wno-pedantic -Wno-shadow -Wno-maybe-uninitialized -Wno-unused-parameter -Wno-cast-function-type -Wno-missing-field-initializers -Wno-class-memaccess>
    $<$<CXX_COMPILER_ID:Clang>:-Wno-shadow -Wno-maybe-uninitialized -Wno-unused-parameter -Wno-cast-function-type -Wno-missing-field-initializers -Wno-class-memaccess>
    $<$<CXX_COMPILER_ID:AppleClang>:-Wno-shadow -Wno-maybe-uninitialized -Wno-unused-parameter -Wno-cast-function-type -Wno-missing-field-initializers -Wno-class-memaccess>
  )

  if(USE_SYSTEM_PATHS_FOR_PYTHON_INSTALLATION)
    if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
      execute_process(
        COMMAND "${PYTHON_EXECUTABLE}" -c "if True:
	  from distutils import sysconfig as sc
	  print(sc.get_python_lib(plat_specific=True))"
        OUTPUT_VARIABLE Python3_SITEARCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)
    else()
      # Get install variable from Python3 module
      # Python3_SITEARCH is available from 3.12 on, workaround if needed:
      find_package(Python3 COMPONENTS Interpreter)
    endif()

    if(USE_DIST_PACKAGES_FOR_PYTHON)
      string(REPLACE "site-packages" "dist-packages" IGN_PYTHON_INSTALL_PATH ${Python3_SITEARCH})
    else()
      # custom cmake command is returning dist-packages
      string(REPLACE "dist-packages" "site-packages" IGN_PYTHON_INSTALL_PATH ${Python3_SITEARCH})
    endif()
  else()
    # If not a system installation, respect local paths
    set(IGN_PYTHON_INSTALL_PATH ${IGN_LIB_INSTALL_DIR}/python)
  endif()

  set(IGN_PYTHON_INSTALL_PATH "${IGN_PYTHON_INSTALL_PATH}/ignition")
  install(TARGETS ${SWIG_PY_LIB} DESTINATION ${IGN_PYTHON_INSTALL_PATH})
  install(FILES ${CMAKE_BINARY_DIR}/lib/python/math.py DESTINATION ${IGN_PYTHON_INSTALL_PATH})

  if (BUILD_TESTING)
    # Add the Python tests
    set(python_tests
      Angle_TEST
      Color_TEST
      Filter_TEST
      GaussMarkovProcess_TEST
      Helpers_TEST
      Kmeans_TEST
      Line2_TEST
      Line3_TEST
      Material_TEST
      Matrix3_TEST
      Matrix4_TEST
      MovingWindowFilter_TEST
      PID_TEST
      Pose3_TEST
      python_TEST
      Quaternion_TEST
      Rand_TEST
      RollingMean_TEST
      RotationSpline_TEST
      SemanticVersion_TEST
      SignalStats_TEST
      Spline_TEST
      StopWatch_TEST
      Temperature_TEST
      Triangle_TEST
      Triangle3_TEST
      Vector2_TEST
      Vector3_TEST
      Vector3Stats_TEST
      Vector4_TEST
    )

    foreach (test ${python_tests})
      add_test(NAME ${test}.py COMMAND
        "${PYTHON_EXECUTABLE}" "${CMAKE_SOURCE_DIR}/src/python/${test}.py")

      set(_env_vars)
      list(APPEND _env_vars "PYTHONPATH=${FAKE_INSTALL_PREFIX}/lib/python/")
      list(APPEND _env_vars "LD_LIBRARY_PATH=${FAKE_INSTALL_PREFIX}/lib:$ENV{LD_LIBRARY_PATH}")
      set_tests_properties(${test}.py PROPERTIES
        ENVIRONMENT "${_env_vars}")
    endforeach()
  endif()

endif()

=== src/ruby/CMakeLists.txt ===
#################################################
# Setup swig
if (SWIG_FOUND)
  if (POLICY CMP0078)
    cmake_policy(SET CMP0078 NEW)
  endif()
  if (POLICY CMP0086)
    cmake_policy(SET CMP0086 NEW)
  endif()

  include(${SWIG_USE_FILE})
  set(CMAKE_SWIG_FLAGS "")

  include_directories(${PROJECT_SOURCE_DIR}/include)

  set(swig_files
    Angle
    GaussMarkovProcess
    Rand
    Vector2
    Vector3
    Vector4)
endif()

#################################################
# Create and install Ruby interfaces
# Example usage
# $ export RUBYLIB=/usr/local/lib/ruby
# $ ruby -e "require 'ignition/math'; a = Ignition::Math::Angle.new(20); puts a.Degree()"
if (RUBY_FOUND)
  foreach (swig_file ${swig_files})
    # Assuming that each swig file has a test
    list(APPEND ruby_tests ${swig_file}_TEST)

    # Generate the list if .i files
    list(APPEND swig_i_files ${swig_file}.i)
  endforeach()
  list(APPEND ruby_tests ruby_TEST)

  # Turn on c++
  set_source_files_properties(${swig_i_files} ruby.i PROPERTIES CPLUSPLUS ON)

  # Create the ruby library

  set(CMAKE_SWIG_OUTDIR "${CMAKE_BINARY_DIR}/lib/ruby")
  if(CMAKE_VERSION VERSION_GREATER 3.8.0)
    SWIG_ADD_LIBRARY(math LANGUAGE ruby SOURCES ruby.i ${swig_i_files})
  else()
    SWIG_ADD_MODULE(math ruby ruby.i ${swig_i_files})
  endif()

  # Suppress warnings on SWIG-generated files
  target_compile_options(math PRIVATE
    $<$<CXX_COMPILER_ID:GNU>:-Wno-pedantic -Wno-shadow -Wno-maybe-uninitialized -Wno-unused-parameter>
    $<$<CXX_COMPILER_ID:Clang>:-Wno-shadow -Wno-maybe-uninitialized -Wno-unused-parameter>
    $<$<CXX_COMPILER_ID:AppleClang>:-Wno-shadow -Wno-maybe-uninitialized -Wno-unused-parameter>
  )
  target_include_directories(math SYSTEM PUBLIC ${RUBY_INCLUDE_DIRS})

  SWIG_LINK_LIBRARIES(math
    ${RUBY_LIBRARY}
    ignition-math${PROJECT_VERSION_MAJOR}
  )
  target_compile_features(math PUBLIC ${IGN_CXX_${c++standard}_FEATURES})

  if(USE_SYSTEM_PATHS_FOR_RUBY_INSTALLATION)
    execute_process(
      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['vendordir']"
      OUTPUT_VARIABLE IGN_RUBY_INSTALL_PATH
      OUTPUT_STRIP_TRAILING_WHITESPACE)
  else()
      set(IGN_RUBY_INSTALL_PATH ${IGN_LIB_INSTALL_DIR}/ruby)
  endif()
  set(IGN_RUBY_INSTALL_PATH "${IGN_RUBY_INSTALL_PATH}/ignition")
  install(TARGETS math DESTINATION ${IGN_RUBY_INSTALL_PATH})

  # Add the ruby tests
  foreach (test ${ruby_tests})
    add_test(NAME ${test}.rb COMMAND
      ruby -I${CMAKE_BINARY_DIR}/lib ${CMAKE_SOURCE_DIR}/src/ruby/${test}.rb
   	  --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${test}rb.xml)
  endforeach()
endif()

=== debian/changelog ===
ignition-math6 (6.9.2-1~buster) buster; urgency=medium

  * ignition-math6 6.9.2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 Oct 2021 11:55:43 -0700

ignition-math6 (6.9.1-1~buster) buster; urgency=medium

  * ignition-math6 6.9.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 30 Sep 2021 16:43:49 -0700

ignition-math6 (6.9.1~pre2-1~buster) buster; urgency=medium

  * ignition-math6 6.9.1~pre2-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 30 Sep 2021 15:38:02 -0700

ignition-math6 (6.9.1~pre1-1~buster) buster; urgency=medium

  * ignition-math6 6.9.1~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 30 Sep 2021 13:26:45 -0700

ignition-math6 (6.9.0-1~buster) buster; urgency=medium

  * ignition-math6 6.9.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 29 Sep 2021 14:20:36 -0700

ignition-math6 (6.9.0~pre1-1~buster) buster; urgency=medium

  * ignition-math6 6.9.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 21 Sep 2021 17:36:29 -0700

ignition-math6 (6.8.0-1~buster) buster; urgency=medium

  * ignition-math6 6.8.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 17:13:46 -0700

ignition-math6 (6.8.0~pre3-1~buster) buster; urgency=medium

  * ignition-math6 6.8.0~pre3-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Mar 2021 13:40:21 -0700

ignition-math6 (6.8.0~pre2-1~buster) buster; urgency=medium

  * ignition-math6 6.8.0~pre2-1 release

 -- Addizu Z. Taddese <addisu@openrobotics.org>  Tue, 26 Jan 2021 17:57:19 -0600

ignition-math6 (6.8.0~pre1-1~buster) buster; urgency=medium

  * ignition-math6 6.8.0~pre1-1 release

 -- Stephen Brawner <brawner@gmail.com>  Fri, 18 Dec 2020 14:48:02 -0800

ignition-math6 (6.7.0-1~buster) buster; urgency=medium

  * ignition-math6 6.7.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Mon, 23 Nov 2020 16:44:28 -0800

ignition-math6 (6.6.0-1~buster) buster; urgency=medium

  * ignition-math6 6.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 17 Sep 2020 11:15:18 -0700

ignition-math6 (6.6.0~pre1-1~buster) buster; urgency=medium

  * ignition-math6 6.6.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 16 Sep 2020 12:47:02 -0700

ignition-math6 (6.5.0-2~buster) buster; urgency=medium

  * ignition-math6 6.5.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 08 Sep 2020 15:33:38 -0700

ignition-math6 (6.5.0-1~buster) buster; urgency=medium

  * ignition-math6 6.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 04 Sep 2020 20:13:37 -0700

ignition-math6 (6.4.0-1~buster) buster; urgency=medium

  * ignition-math6 6.4.0-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Mon, 15 Jul 2019 16:29:42 -0700

=== debian/control ===
Source: ignition-math6
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               debhelper (>= 11),
               dh-python,
               doxygen,
               libeigen3-dev,
               libignition-cmake2-dev,
               python3,
               python3-dev,
               ruby-dev,
               ruby-ronn,
               swig
Vcs-Browser: https://bitbucket.org/ignitionrobotics/ign_math-release
Vcs-Hg: https://bitbucket.org/ignitionrobotics/ign_math-release
Homepage: https://bitbucket.org/ignitionrobotics/ign_math
XS-Ruby-Versions: all
X-Python3-Version: >= 3.2

Package: libignition-math6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Math Library - Shared library
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-math6-dev
Architecture: any
Section: libdevel
Depends: libignition-math6 (= ${binary:Version}),
         libignition-cmake2-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Math Library - Development files
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-math6-eigen3-dev
Architecture: any
Section: libdevel
Depends: libignition-math6-dev (= ${binary:Version}),
         libeigen3-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Math Library - Eigen3 Development files
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: python3-ignition-math6
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends}
Enhances: libignition-math6
Description: Ignition Robotics Math Library - Python3 bindings
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: ruby-ignition-math6
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Ignition Robotics Math Library - Ruby bindings
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-math6-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-math6 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Math Library - Debugging symbols
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ignition-math6

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

.PHONY: override_dh_auto_configure \
        override_dh_strip \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	    -DUSE_SYSTEM_PATHS_FOR_PYTHON_INSTALLATION=ON \
	    -DUSE_DIST_PACKAGES_FOR_PYTHON=ON \
	    -DUSE_SYSTEM_PATHS_FOR_RUBY_INSTALLATION=ON

override_dh_strip:
	dh_strip -a --dbg-package=libignition-math6-dbg

override_dh_install:
	dh_install
	# remove duplicate eigen files from mathx-dev.install regexp
	cd debian/libignition-math6-eigen3-dev; find . -type f -exec rm -f ../libignition-math6-dev/{} \;
	find debian/libignition-math6-dev -type d -empty -delete

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),armhf)
	true
else
	dh_auto_test $@ --no-parallel --buildsystem=cmake
endif

=== debian/watch ===
version=3
http://gazebosim.org/assets/distributions/ignmath-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ignition-math6 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,19 +3,23 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-math6 VERSION 6.9.2)
+project(ignition-math6 VERSION 6.13.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.13.0 REQUIRED)
 
 #============================================================================
 # Configure the project
 #============================================================================
 set (c++standard 17)
-ign_configure_project(VERSION_SUFFIX)
+set (CMAKE_CXX_STANDARD 17)
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/math
+  VERSION_SUFFIX
+)
 
 #============================================================================
 # Set project-specific options
@@ -66,15 +70,27 @@
   else()
     message (STATUS "Searching for Ruby - found version ${RUBY_VERSION}.")
   endif()
+endif()
 
-  ########################################
-  # Include python
-  find_package(PythonInterp 3 REQUIRED) # change to Python3 when Bionic is EOL
-  find_package(PythonLibs QUIET)
-  if (NOT PYTHONLIBS_FOUND)
-    message (STATUS "Searching for Python - not found.")
+########################################
+# Python bindings
+include(IgnPython)
+find_package(PythonLibs QUIET)
+if (NOT PYTHONLIBS_FOUND)
+  IGN_BUILD_WARNING("Python is missing: Python interfaces are disabled.")
+  message (STATUS "Searching for Python - not found.")
+else()
+  message (STATUS "Searching for Python - found version ${PYTHONLIBS_VERSION_STRING}.")
+
+  set(PYBIND11_PYTHON_VERSION 3)
+  find_package(Python3 QUIET COMPONENTS Interpreter Development)
+  find_package(pybind11 2.2 QUIET)
+
+  if (${pybind11_FOUND})
+    message (STATUS "Searching for pybind11 - found version ${pybind11_VERSION}.")
   else()
-    message (STATUS "Searching for Python - found version ${PYTHONLIBS_VERSION_STRING}.")
+    IGN_BUILD_WARNING("pybind11 is missing: Python interfaces are disabled.")
+    message (STATUS "Searching for pybind11 - not found.")
   endif()
 endif()

=== debian/changelog ===
ignition-math6 (6.13.0-1~focal) focal; urgency=medium

  * ignition-math6 6.13.0-1 release

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 31 Aug 2022 15:10:17 -0700

ignition-math6 (6.12.0-3~focal) focal; urgency=medium

  * ignition-math6 6.12.0-3 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 25 Aug 2022 13:00:20 +0200

ignition-math6 (6.12.0-2~focal) focal; urgency=medium

  * ignition-math6 6.12.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 12 Aug 2022 13:51:33 -0700

ignition-math6 (6.12.0-1~focal) focal; urgency=medium

  * ignition-math6 6.12.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 27 Jul 2022 09:40:06 -0700

ignition-math6 (6.11.0-1~focal) focal; urgency=medium

  * ignition-math6 6.11.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 11 May 2022 21:00:58 +0200

ignition-math6 (6.10.0-1~focal) focal; urgency=medium

  * ignition-math6 6.10.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 26 Jan 2022 15:01:47 -0800

ignition-math6 (6.9.3~pre2-4~focal) focal; urgency=medium

  * ignition-math6 6.9.3~pre2-4 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Jan 2022 20:42:07 +0100

ignition-math6 (6.9.3~pre2-1~focal) focal; urgency=medium

  * ignition-math6 6.9.3~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 13 Jan 2022 14:32:27 -0800

ignition-math6 (6.9.3~pre1-1~focal) focal; urgency=medium

  * ignition-math6 6.9.3~pre1-1 release

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Jan 2022 19:15:46 +0100

ignition-math6 (6.9.2-1~focal) focal; urgency=medium

  * ignition-math6 6.9.2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 Oct 2021 11:55:43 -0700

ignition-math6 (6.9.1-1~focal) focal; urgency=medium

  * ignition-math6 6.9.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 30 Sep 2021 16:43:49 -0700

ignition-math6 (6.9.1~pre2-1~focal) focal; urgency=medium

  * ignition-math6 6.9.1~pre2-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 30 Sep 2021 15:38:02 -0700

ignition-math6 (6.9.1~pre1-1~focal) focal; urgency=medium

  * ignition-math6 6.9.1~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 30 Sep 2021 13:26:45 -0700

ignition-math6 (6.9.0-1~focal) focal; urgency=medium

  * ignition-math6 6.9.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 29 Sep 2021 14:20:36 -0700

ignition-math6 (6.9.0~pre1-1~focal) focal; urgency=medium

  * ignition-math6 6.9.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 21 Sep 2021 17:36:29 -0700

ignition-math6 (6.8.0-1~focal) focal; urgency=medium

  * ignition-math6 6.8.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 17:13:46 -0700

ignition-math6 (6.8.0~pre3-1~focal) focal; urgency=medium

  * ignition-math6 6.8.0~pre3-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Mar 2021 13:40:21 -0700

ignition-math6 (6.8.0~pre2-1~focal) focal; urgency=medium

  * ignition-math6 6.8.0~pre2-1 release

 -- Addizu Z. Taddese <addisu@openrobotics.org>  Tue, 26 Jan 2021 17:57:18 -0600

ignition-math6 (6.8.0~pre1-1~focal) focal; urgency=medium

  * ignition-math6 6.8.0~pre1-1 release

 -- Stephen Brawner <brawner@gmail.com>  Fri, 18 Dec 2020 14:48:02 -0800

ignition-math6 (6.7.0-1~focal) focal; urgency=medium

  * ignition-math6 6.7.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Mon, 23 Nov 2020 16:44:28 -0800

ignition-math6 (6.6.0-1~focal) focal; urgency=medium

  * ignition-math6 6.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 17 Sep 2020 11:15:18 -0700

ignition-math6 (6.6.0~pre1-1~focal) focal; urgency=medium

  * ignition-math6 6.6.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 16 Sep 2020 12:47:02 -0700

ignition-math6 (6.5.0-2~focal) focal; urgency=medium

  * ignition-math6 6.5.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 08 Sep 2020 15:33:38 -0700

ignition-math6 (6.5.0-1~focal) focal; urgency=medium

  * ignition-math6 6.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 04 Sep 2020 20:13:36 -0700

ignition-math6 (6.4.0-1~focal) focal; urgency=medium

  * ignition-math6 6.4.0-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Mon, 15 Jul 2019 16:29:42 -0700

=== debian/control ===
Source: ignition-math6
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               debhelper (>= 11),
               dh-python,
               doxygen,
               libeigen3-dev,
               libignition-cmake2-dev (>= 2.13.0) | libignition-cmake-dev (>= 2.13.0),
               python3,
               python3-dev,
               python3-distutils,
               python3-pybind11,
               ruby-dev,
               ruby-ronn,
               swig
Vcs-Browser: https://github.com/gazebosim/gz-math
Vcs-Git: https://github.com/gazebosim/gz-math.git
Standards-Version: 4.5.1
Homepage: https://github.com/gazebosim/gz-math
XS-Ruby-Versions: all
X-Python3-Version: >= 3.2

Package: libignition-math6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Math Library - Shared library
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-math6-dev
Architecture: any
Section: libdevel
Depends: libignition-math6 (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.13.0),
         ${misc:Depends}
Replaces: libignition-math-dev (<< 6.0.0~)
Breaks: libignition-math-dev (<< 6.0.0~)
Multi-Arch: same
Description: Gazebo Math Library - Development files
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-math6-eigen3-dev
Architecture: any
Section: libdevel
Depends: libignition-math6-dev (= ${binary:Version}),
         libeigen3-dev,
         ${misc:Depends}
Replaces: libignition-math-dev (<< 6.0.0~)
Breaks: libignition-math-dev (<< 6.0.0~)
Multi-Arch: same
Description: Gazebo Math Library - Eigen3 Development files
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the development files relative to Eigen

Package: python3-ignition-math6
Architecture: any
Depends: libignition-math6 (= ${binary:Version}),
         python3-distutils,
         python3-pybind11,
         ${misc:Depends},
         ${python3:Depends}
Enhances: libignition-math6
Description: Gazebo Math Library - Python3 bindings
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the Python3 bindings.

Package: ruby-ignition-math6
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: libignition-math6 (= ${binary:Version}),
         ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Enhances: libignition-math6
Description: Gazebo Math Library - Ruby bindings
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the Ruby bindings.

Package: libignition-math6-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-math6 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Gazebo Math Library - Debugging symbols
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libgz-math6
Depends: libignition-math6, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-math6-dev
Depends: libignition-math6-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-math6-eigen3-dev
Depends: libignition-math6-eigen3-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: python3-gz-math6
Depends: python3-ignition-math6, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: ruby-gz-math6
Depends: ruby-ignition-math6, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-math6-dbg
Depends: libignition-math6-dbg, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

## ignition-math6 6.15.0

=== debian/changelog ===
ignition-math6 (6.15.0-1~jammy) jammy; urgency=medium

  * ignition-math6 6.15.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 01 Sep 2023 11:02:51 -0500

ignition-math6 (6.14.0-1~jammy) jammy; urgency=medium

  * ignition-math6 6.14.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 14 Apr 2023 12:54:59 -0500

ignition-math6 (6.13.0-3~jammy) jammy; urgency=medium

  * ignition-math6 6.13.0-3 release

 -- Steve Peters <scpeters@openrobotics.org>  Sat, 15 Oct 2022 00:13:30 -0700

ignition-math6 (6.13.0-2~jammy) jammy; urgency=medium

  * ignition-math6 6.13.0-2 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 14 Oct 2022 17:06:16 -0700

ignition-math6 (6.13.0-1~jammy) jammy; urgency=medium

  * ignition-math6 6.13.0-1 release

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 31 Aug 2022 15:10:17 -0700

ignition-math6 (6.12.0-3~jammy) jammy; urgency=medium

  * ignition-math6 6.12.0-3 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 25 Aug 2022 13:00:20 +0200

ignition-math6 (6.12.0-2~jammy) jammy; urgency=medium

  * ignition-math6 6.12.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 12 Aug 2022 13:51:33 -0700

ignition-math6 (6.12.0-1~jammy) jammy; urgency=medium

  * ignition-math6 6.12.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 27 Jul 2022 09:40:06 -0700

ignition-math6 (6.11.0-3~jammy) jammy; urgency=medium

  * ignition-math6 6.11.0-3 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 12 May 2022 00:05:37 +0200

ignition-math6 (6.11.0-2~jammy) jammy; urgency=medium

  * ignition-math6 6.11.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 11 May 2022 21:36:04 +0200

ignition-math6 (6.11.0-1~jammy) jammy; urgency=medium

  * ignition-math6 6.11.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 11 May 2022 21:00:58 +0200

ignition-math6 (6.10.0-100~jammy) jammy; urgency=medium

  * Rebuild same code for python3.10 transition

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Apr 2022 19:51:16 +0200

ignition-math6 (6.10.0-99~jammy) jammy; urgency=medium

  * ignition-math6 6.12.0-99 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 15 Feb 2022 20:13:08 +0100

ignition-math6 (6.10.0-1~jammy) jammy; urgency=medium

  * First release for jammy

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Feb 2022 18:59:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: science
 Priority: extra
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper (>= 12),
                dh-python,
                doxygen,
                libeigen3-dev,
@@ -28,6 +28,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
+Provides: libignition-math6-6 (= ${binary:Version})
+Replaces: libignition-math6-6 (<< ${binary:Version})
+Breaks: libignition-math6-6 (<< ${binary:Version})
 Description: Gazebo Math Library - Shared library
  A small, fast, and high performance math library. This library is a
  self-contained set of classes and functions suitable for robot applications.
@@ -43,8 +46,9 @@
 Depends: libignition-math6 (= ${binary:Version}),
          libignition-cmake2-dev (>= 2.13.0),
          ${misc:Depends}
-Replaces: libignition-math-dev (<< 6.0.0~)
-Breaks: libignition-math-dev (<< 6.0.0~)
+Replaces: libignition-math-dev (<< ${binary:Version})
+Breaks: libignition-math-dev (<< ${binary:Version})
+Provides: libignition-math-dev (= ${binary:Version})
 Multi-Arch: same
 Description: Gazebo Math Library - Development files
  A small, fast, and high performance math library. This library is a
@@ -61,8 +65,10 @@
 Depends: libignition-math6-dev (= ${binary:Version}),
          libeigen3-dev,
          ${misc:Depends}
-Replaces: libignition-math-dev (<< 6.0.0~)
-Breaks: libignition-math-dev (<< 6.0.0~)
+Replaces: libignition-math-dev (<< ${binary:Version}),
+          libignition-math6-dev (<< ${binary:Version})
+Breaks: libignition-math-dev (<< ${binary:Version}),
+        libignition-math6-dev (<< ${binary:Version})
 Multi-Arch: same
 Description: Gazebo Math Library - Eigen3 Development files
  A small, fast, and high performance math library. This library is a

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=ignition-math6
 
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 .PHONY: override_dh_auto_configure \
         override_dh_strip \
@@ -10,7 +10,7 @@
         override_dh_auto_test
 
 %:
-	dh $@ --parallel --with python3
+	dh $@  --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
